typedef void (^freeBlock)(void* doomedMemoryBlock, size_t sizeInBytes);

static void freeCallback(void* refCon, void* doomedMemoryBlock, size_t sizeInBytes) {
    freeBlock freeBlock = refCon;
    freeBlock(doomedMemoryBlock, sizeInBytes);
}

OSStatus CMBlockBufferCreateWithMemoryBlock_b(void* memoryBlock,
                                              size_t blockLength,
                                              void (^freeBlock)(void* doomedMemoryBlock, size_t sizeInBytes),
                                              size_t offsetToData,
                                              size_t dataLength,
                                              CMBlockBufferFlags flags,
                                              CMBlockBufferRef* newBBufOut) {
    CMBlockBufferCustomBlockSource c = { kCMBlockBufferCustomBlockSourceVersion, NULL, &freeCallback, freeBlock};
    return CMBlockBufferCreateWithMemoryBlock(NULL, memoryBlock, blockLength, NULL, &c, offsetToData, dataLength, flags, newBBufOut);
}
