//
// Draw a (wireframe) rectangular shape. v_RectCoordinate is used to determine
// the wireframe location in the corresponding fragment shader.
//
#version 150

in vec3 in_Position;
in vec2 in_RectCoordinate;

out vec2 v_RectCoordinate;

void main() {
  v_RectCoordinate = in_RectCoordinate;
  gl_Position = vec4(in_Position, 1.0);
}