typedef int (^get_buffer2)(AVCodecContext*, AVFrame*, int);

static int get_buffer2_callback(AVCodecContext* s, AVFrame* frame, int flags)
{
    get_buffer2 get_buffer2 = s->opaque;
    return get_buffer2(s, frame, flags);
}

void av_codec_context_set_get_buffer2_b(AVCodecContext* s,
                                        int (^get_buffer2)(AVCodecContext* s, AVFrame* frame, int flags)) {
   s->opaque = get_buffer2;
   s->get_buffer2 = &get_buffer2_callback;
}
