typedef void (^freeAVBuffer)(uint8_t*);

static void free_callback(void *opaque, uint8_t *buf)
{
    freeAVBuffer freeAVBuffer = opaque;
    freeAVBuffer(buf);
}

AVBufferRef *av_buffer_create_b(uint8_t *data, int size, void (^freeAVBuffer)(uint8_t* free), int flags ) {
   return av_buffer_create(data, size, &free_callback, freeAVBuffer,	flags);
}